DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageReadCSV

Read comma-separated values from file (in dipIO)

## SYNOPSIS

`#include "dipio_csv.h"`

dip_Error dipio_ImageReadCSV ( image, filename, separator )

## FUNCTION

This function reads the comma-separated values from a file and puts it in `image`. `image` must be allocated before calling this function.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output image
`dip_String` | `filename` | File name
`char` | `separator` | Separator character

## SEE ALSO

`ImageRead`, `ImageWriteCSV`